1. millchen's Avatar
    do i need to install 1.1.1 currently i have 1.0.2 "dont we all" , because of warranty?
    2007-10-09 09:36 AM
  2. redcard's Avatar
    do i need to install 1.1.1 currently i have 1.0.2 "dont we all" , because of warranty?
    You're asking if you need tp upgrade before you return your iphone? If it's not jailbroken, then no.

    If it is then just buy new headphones
    2007-10-09 10:43 AM
  3. pmas's Avatar
    I have already exchanged 2 sets of defective earphones. Just bring them the earphones and your receipt. They exchange them no questions asked.
    2007-10-09 04:41 PM
  4. randyg's Avatar
    Whose Nedd, and is he going to return the headphones or are you?
    It doesn't matter what firmware your iPhone is on if you are returning the headphones, or even the phone for that matter. The update is not mandatory.
    2007-10-09 04:51 PM
LINK TO POST COPIED TO CLIPBOARD